跳到主要內容

已不再支援此瀏覽器。

請升級至 Microsoft Edge,以利用最新功能、安全性更新和技術支援。

下載 Microsoft Edge Internet Explorer 和 Microsoft Edge 的詳細資訊
microsoft-foundry.rest.security.o-auth2-auth

Agent Conversations

Get a voice agent conversation

GET /agents/{agent_name}/endpoint/protocols/voice/conversations/{conversation_id}

Retrieves a single conversation recorded for the specified voice agent endpoint by its id. Returns 404 when the conversation was not persisted (store = false) or does not exist.

路徑參數

agent_name string 必要

The name of the agent.

conversation_id string 必要

The id of the conversation to retrieve.

查詢參數

api-version string 必要

The API version to use for this operation.

回覆

The request has succeeded.

主體

Content-Type: application/json
id string 必要

The unique id of the conversation.

object enum 必要

The object type. Always voice.conversation.

voice.conversation
status string | enum 必要

The lifecycle status of a persisted voice conversation: - in_progress: the live session is active, or post-session persistence finalization is pending. - completed: finalization succeeded after normal or client close, end_conversation, a max-duration 1001 close, or a client or network disconnect that the service can still finalize. - failed: a terminal service, bridge, storage, or unrecoverable transport failure prevented finalization.

以下任何一項:
string
enum
in_progresscompletedfailed
created_at integer 必要
completed_at integer
metadata object

A set of key-value pairs attached to the conversation.

[key: string] string
usage OpenAI.RealtimeResponseUsage
total_tokens integer
input_tokens integer
output_tokens integer
input_token_details OpenAI.RealtimeResponseUsageInputTokenDetails
cached_tokens integer
text_tokens integer
image_tokens integer
audio_tokens integer
cached_tokens_details OpenAI.RealtimeResponseUsageInputTokenDetailsCachedTokensDetails
text_tokens integer
image_tokens integer
audio_tokens integer
output_token_details OpenAI.RealtimeResponseUsageOutputTokenDetails
text_tokens integer
audio_tokens integer
last_error OpenAI.Error
code string | null 必要
message string 必要
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何一項:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必要

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Client error

主體

Content-Type: application/json
error OpenAI.Error 必要
code string | null 必要
message string 必要
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何一項:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必要

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Server error

主體

Content-Type: application/json
error OpenAI.Error 必要
code string | null 必要
message string 必要
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何一項:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必要

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Request

GET /agents/{agent_name}/endpoint/protocols/voice/conversations/{conversation_id} HTTP/1.1

回應

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
zh-tw
您的隱私權選擇
  • AI 免責聲明
  • 舊版本
  • 部落格
  • 參與
  • 隱私權
  • 消費者健康隱私
  • 使用規定
  • 商標
  • © Microsoft 2026